> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prophecy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# SMTP connection properties API

> Properties required to create and update SMTP connections

Properties for SMTP connections are specified in the `properties` object when creating or updating a connection. All properties are nested within the connection request body.

## Properties

<ParamField body="smtpUrl" type="string" required>
  SMTP server hostname or fully qualified domain name. Example: `smtp.gmail.com`
</ParamField>

<ParamField body="smtpPort" type="integer" required>
  Port number for the SMTP server connection. for SSL.
</ParamField>

<ParamField body="smtpUsername" type="string" required>
  Username for authenticating to the SMTP server.
</ParamField>

<ParamField body="smtpPassword" type="object" required>
  Reference to a Prophecy secret containing the SMTP password.

  * When using the [create connection API](/api-reference/connections/add-connection-to-fabric), the secret must be stored in Prophecy before creating the connection.
  * When using the [create fabric API](/api-reference/fabrics/create-a-new-fabric), replace this whole object with the string `{{SECRET}}`, which references the secret being created in parallel to the connection.

  <Expandable title="smtpPassword properties">
    <ParamField body="smtpPassword.kind" type="string" required>
      Secret kind. Must be `prophecy`.
    </ParamField>

    <ParamField body="smtpPassword.subKind" type="string" required>
      Secret sub-type. Must be `text` for passwords.
    </ParamField>

    <ParamField body="smtpPassword.type" type="string" required>
      Type of reference. Must be `secret`.
    </ParamField>

    <ParamField body="smtpPassword.properties" type="object" required>
      Properties identifying the secret by ID and name.
    </ParamField>

    <ParamField body="smtpPassword.properties.id" type="string" required>
      The ID of the secret stored in Prophecy. Find the ID using the [List secrets per fabric
      API](/api-reference/secrets/list-secrets-per-fabric).
    </ParamField>

    <ParamField body="smtpPassword.properties.name" type="string" required>
      The name of the secret stored in Prophecy.
    </ParamField>
  </Expandable>
</ParamField>
